Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class RelaxNGSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax
          ix.util.xml.RelaxNGSyntax

    public class RelaxNGSyntax

extends XMLSyntax

Describes the (XML) syntax of I-X data objects as a Relax NG schema.

Field Summary
`static org.jdom.Namespace` | `relaxNGNamespace`

Fields inherited from class ix.util.xml.XMLSyntax
`attributeFieldP, classSyntax, inheritance, xmlt`

Constructor Summary
`RelaxNGSyntax()`
`RelaxNGSyntax(XMLTranslator xmlt)`

Method Summary
`static void` | `main(java.lang.String[] argv)` Outputs a schema for I-X plans or for the class specified by the "root" parameter.
`ix.util.xml.RelaxNGSyntax.Schema` | `makeSchema(java.lang.Class rootClass)`

Methods inherited from class ix.util.xml.XMLSyntax
`attributeFields, collectListofClasses, describeClass, elementFields, getClassDescr, getConstraintSyntaxList, getElementName, getElementName, getElementName, getEnumerationValues, getNTName, getNTName, getUpperName, getUpperName, relevantClasses, structTextDescription, walkStructFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### relaxNGNamespace

    public static final org.jdom.Namespace relaxNGNamespace

Constructor Detail

### RelaxNGSyntax

    public RelaxNGSyntax()

### RelaxNGSyntax

    public RelaxNGSyntax(XMLTranslator xmlt)

Method Detail

### makeSchema

    public ix.util.xml.RelaxNGSyntax.Schema makeSchema(java.lang.Class rootClass)

### main

    public static void main(java.lang.String[] argv)

  Outputs a schema for I-X plans or for the class specified by the "root" parameter.

  See Also:
    `Parameters.getParameter(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD